Upstream information

CVE-2022-36055 at MITRE

Description

Helm is a tool for managing Charts. Charts are packages of pre-configured Kubernetes resources. Fuzz testing, provided by the CNCF, identified input to functions in the _strvals_ package that can cause an out of memory panic. The _strvals_ package contains a parser that turns strings in to Go structures. The _strvals_ package converts these strings into structures Go can work with. Some string inputs can cause array data structures to be created causing an out of memory panic. Applications that use the _strvals_ package in the Helm SDK to parse user supplied input can suffer a Denial of Service when that input causes a panic that cannot be recovered from. The Helm Client will panic with input to `--set`, `--set-string`, and other value setting flags that causes an out of memory panic. Helm is not a long running service so the panic will not affect future uses of the Helm client. This issue has been resolved in 3.9.4. SDK users can validate strings supplied by users won't create large arrays causing significant memory usage before passing them to the _strvals_ functions.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 7.5
Vector CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required Low None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1203054 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES15-SP4-SUSE-Rancher-Setup-BYOS
Image SLES15-SP4-SUSE-Rancher-Setup-BYOS-EC2
  • helm >= 3.9.4-150000.1.10.3
SUSE CaaS Platform 4.0
  • helm3 >= 3.3.3-150100.1.7.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2022-3530
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • helm >= 3.9.4-150000.1.10.3
  • helm-bash-completion >= 3.9.4-150000.1.10.3
  • helm-fish-completion >= 3.9.4-150000.1.10.3
  • helm-zsh-completion >= 3.9.4-150000.1.10.3
Patchnames:
SUSE-SLE-Module-Containers-15-SP3-2022-3666
SUSE-SLE-Module-Packagehub-Subpackages-15-SP3-2022-3666
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise Module for Package Hub 15 SP3
  • helm-fish-completion >= 3.9.4-150000.1.10.3
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP3-2022-3666
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise Module for Package Hub 15 SP4
  • helm-fish-completion >= 3.9.4-150000.1.10.3
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP4-2022-3666
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • helm >= 3.9.4-150000.1.10.3
  • helm-bash-completion >= 3.9.4-150000.1.10.3
  • helm-fish-completion >= 3.9.4-150000.1.10.3
  • helm-zsh-completion >= 3.9.4-150000.1.10.3
Patchnames:
SUSE-SLE-Module-Containers-15-SP4-2022-3666
SUSE-SLE-Module-Packagehub-Subpackages-15-SP4-2022-3666
SUSE Linux Enterprise Module for Containers 15 SP3
  • helm >= 3.9.4-150000.1.10.3
  • helm-bash-completion >= 3.9.4-150000.1.10.3
  • helm-zsh-completion >= 3.9.4-150000.1.10.3
Patchnames:
SUSE-SLE-Module-Containers-15-SP3-2022-3666
SUSE Linux Enterprise Module for Containers 15 SP4
  • helm >= 3.9.4-150000.1.10.3
  • helm-bash-completion >= 3.9.4-150000.1.10.3
  • helm-zsh-completion >= 3.9.4-150000.1.10.3
Patchnames:
SUSE-SLE-Module-Containers-15-SP4-2022-3666
openSUSE Leap 15.3
  • helm >= 3.9.4-150000.1.10.3
  • helm-bash-completion >= 3.9.4-150000.1.10.3
  • helm-fish-completion >= 3.9.4-150000.1.10.3
  • helm-zsh-completion >= 3.9.4-150000.1.10.3
Patchnames:
openSUSE-SLE-15.3-2022-3666
openSUSE Leap 15.4
  • helm >= 3.9.4-150000.1.10.3
  • helm-bash-completion >= 3.9.4-150000.1.10.3
  • helm-fish-completion >= 3.9.4-150000.1.10.3
  • helm-zsh-completion >= 3.9.4-150000.1.10.3
Patchnames:
openSUSE-SLE-15.4-2022-3666
openSUSE Tumbleweed
  • helm >= 3.9.4-2.1
  • helm-bash-completion >= 3.9.4-2.1
  • helm-fish-completion >= 3.9.4-2.1
  • helm-zsh-completion >= 3.9.4-2.1
Patchnames:
openSUSE Tumbleweed GA helm-3.9.4-2.1


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 helm Released
SUSE Linux Enterprise Desktop 15 SP4 helm Released
SUSE Linux Enterprise High Performance Computing 15 SP4 helm Released
SUSE Linux Enterprise Module for Containers 15 SP4 helm Released
SUSE Linux Enterprise Module for Package Hub 15 SP4 helm Released
SUSE Linux Enterprise Server 15 SP4 helm Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 helm Released
SUSE Manager Proxy 4.2 helm Released
SUSE Manager Proxy 4.3 helm Released
SUSE Manager Retail Branch Server 4.2 helm Released
SUSE Manager Retail Branch Server 4.3 helm Released
SUSE Manager Server 4.2 helm Released
SUSE Manager Server 4.3 helm Released
SUSE Package Hub 15 SP4 helm Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP3 helm Released
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS helm Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS helm Affected
SUSE Linux Enterprise Module for Containers 15 SP3 helm Released
SUSE Linux Enterprise Server 15 SP3 helm Released
SUSE Linux Enterprise Server 15 SP3-LTSS helm Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 helm Released
Products past their end of life and not receiving proactive updates anymore.
SUSE CaaS Platform 4.0 helm Not affected
SUSE CaaS Platform 4.0 helm3 Released
SUSE Linux Enterprise Desktop 15 SP3 helm Released
SUSE Linux Enterprise Module for Package Hub 15 SP3 helm Released
SUSE Linux Enterprise Server 15 SP3-BCL helm Affected
SUSE Package Hub 15 SP3 helm Released


SUSE Timeline for this CVE

CVE page created: Thu Sep 1 18:22:07 2022
CVE page last modified: Wed Jan 25 01:43:31 2023